
_Interrupt:

;Gsm_Logger.c,111 :: 		void Interrupt() iv 0x0008 ics ICS_OFF
;Gsm_Logger.c,113 :: 		if (INTCON.RBIF)
	BTFSS       INTCON+0, 0 
	GOTO        L_Interrupt0
;Gsm_Logger.c,115 :: 		if (! PORTB.RB5)
	BTFSC       PORTB+0, 5 
	GOTO        L_Interrupt1
;Gsm_Logger.c,117 :: 		LED = ! LED;
	BTG         PORTD+0, 1 
;Gsm_Logger.c,118 :: 		flag = 1;
	MOVLW       1
	MOVWF       _flag+0 
;Gsm_Logger.c,119 :: 		}
L_Interrupt1:
;Gsm_Logger.c,121 :: 		if (! PORTB.RB4)
	BTFSC       PORTB+0, 4 
	GOTO        L_Interrupt2
;Gsm_Logger.c,123 :: 		LED1 = ! LED1;
	BTG         PORTD+0, 2 
;Gsm_Logger.c,124 :: 		rtcint = 1;
	MOVLW       1
	MOVWF       _rtcint+0 
;Gsm_Logger.c,125 :: 		}
L_Interrupt2:
;Gsm_Logger.c,127 :: 		INTCON.RBIF = 0;
	BCF         INTCON+0, 0 
;Gsm_Logger.c,128 :: 		}
L_Interrupt0:
;Gsm_Logger.c,129 :: 		}
L_end_Interrupt:
L__Interrupt52:
	RETFIE      1
; end of _Interrupt

_main:

;Gsm_Logger.c,131 :: 		void main()
;Gsm_Logger.c,133 :: 		initSettings();
	CALL        _initSettings+0, 0
;Gsm_Logger.c,134 :: 		fixedLcd();
	CALL        _fixedLcd+0, 0
;Gsm_Logger.c,135 :: 		initSdCard();
	CALL        _initSdCard+0, 0
;Gsm_Logger.c,136 :: 		Lcd_Out (4, 7, "--.--");
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,137 :: 		gsmConfig();
	CALL        _gsmConfig+0, 0
;Gsm_Logger.c,138 :: 		rtcIntWrite();
	CALL        _rtcIntWrite+0, 0
;Gsm_Logger.c,140 :: 		while (1)
L_main3:
;Gsm_Logger.c,142 :: 		resetWdt();
	CALL        _resetWdt+0, 0
;Gsm_Logger.c,143 :: 		adcResult();
	CALL        _adcResult+0, 0
;Gsm_Logger.c,144 :: 		uartGo();
	CALL        _uartGo+0, 0
;Gsm_Logger.c,145 :: 		rtcRead();
	CALL        _rtcRead+0, 0
;Gsm_Logger.c,146 :: 		rtcConversion();
	CALL        _rtcConversion+0, 0
;Gsm_Logger.c,147 :: 		rtcDisplay();
	CALL        _rtcDisplay+0, 0
;Gsm_Logger.c,148 :: 		writeSdCard();
	CALL        _writeSdCard+0, 0
;Gsm_Logger.c,149 :: 		sampleLcd();
	CALL        _sampleLcd+0, 0
;Gsm_Logger.c,150 :: 		if (! SET)
	BTFSC       PORTC+0, 0 
	GOTO        L_main5
;Gsm_Logger.c,152 :: 		Delay_ms (KEY_WAIT);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_main6:
	DECFSZ      R13, 1, 1
	BRA         L_main6
	DECFSZ      R12, 1, 1
	BRA         L_main6
	DECFSZ      R11, 1, 1
	BRA         L_main6
	NOP
	NOP
;Gsm_Logger.c,153 :: 		selection++;
	INFSNZ      _selection+0, 1 
	INCF        _selection+1, 1 
;Gsm_Logger.c,154 :: 		if (selection >= 7) selection = 0;
	MOVLW       128
	XORWF       _selection+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main54
	MOVLW       7
	SUBWF       _selection+0, 0 
L__main54:
	BTFSS       STATUS+0, 0 
	GOTO        L_main7
	CLRF        _selection+0 
	CLRF        _selection+1 
L_main7:
;Gsm_Logger.c,155 :: 		}//Fine if
L_main5:
;Gsm_Logger.c,157 :: 		switch (selection)
	GOTO        L_main8
;Gsm_Logger.c,159 :: 		case 0:
L_main10:
;Gsm_Logger.c,160 :: 		Lcd_Out (1, 11, "      ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       11
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,161 :: 		Lcd_Out (2, 9, "        ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       9
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr3_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr3_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,162 :: 		break;
	GOTO        L_main9
;Gsm_Logger.c,164 :: 		case 1:
L_main11:
;Gsm_Logger.c,165 :: 		rtcSet(giorno, 32, 31, 1, Write, reg_giorno);
	MOVF        _giorno+0, 0 
	MOVWF       FARG_rtcSet_variabile+0 
	MOVLW       32
	MOVWF       FARG_rtcSet_max+0 
	MOVLW       31
	MOVWF       FARG_rtcSet_max_value+0 
	MOVLW       1
	MOVWF       FARG_rtcSet_min+0 
	MOVLW       162
	MOVWF       FARG_rtcSet_address+0 
	MOVLW       5
	MOVWF       FARG_rtcSet_reg+0 
	CALL        _rtcSet+0, 0
;Gsm_Logger.c,166 :: 		Lcd_Out (1, 11, "<--SET");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       11
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr4_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr4_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,167 :: 		break;
	GOTO        L_main9
;Gsm_Logger.c,169 :: 		case 2:
L_main12:
;Gsm_Logger.c,170 :: 		rtcSet (mese, 13, 12, 1, Write, reg_mese);
	MOVF        _mese+0, 0 
	MOVWF       FARG_rtcSet_variabile+0 
	MOVLW       13
	MOVWF       FARG_rtcSet_max+0 
	MOVLW       12
	MOVWF       FARG_rtcSet_max_value+0 
	MOVLW       1
	MOVWF       FARG_rtcSet_min+0 
	MOVLW       162
	MOVWF       FARG_rtcSet_address+0 
	MOVLW       7
	MOVWF       FARG_rtcSet_reg+0 
	CALL        _rtcSet+0, 0
;Gsm_Logger.c,171 :: 		Lcd_Out (1, 11, "<--SET");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       11
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr5_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr5_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,172 :: 		break;
	GOTO        L_main9
;Gsm_Logger.c,174 :: 		case 3:
L_main13:
;Gsm_Logger.c,175 :: 		rtcSet (anno, 98, 97, 0, Write, reg_anno);
	MOVF        _anno+0, 0 
	MOVWF       FARG_rtcSet_variabile+0 
	MOVLW       98
	MOVWF       FARG_rtcSet_max+0 
	MOVLW       97
	MOVWF       FARG_rtcSet_max_value+0 
	CLRF        FARG_rtcSet_min+0 
	MOVLW       162
	MOVWF       FARG_rtcSet_address+0 
	MOVLW       8
	MOVWF       FARG_rtcSet_reg+0 
	CALL        _rtcSet+0, 0
;Gsm_Logger.c,176 :: 		Lcd_Out (1, 11, "<--SET");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       11
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr6_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr6_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,177 :: 		break;
	GOTO        L_main9
;Gsm_Logger.c,179 :: 		case 4:
L_main14:
;Gsm_Logger.c,180 :: 		rtcSet (ore, 24, 23, 0, Write, reg_ore);
	MOVF        _ore+0, 0 
	MOVWF       FARG_rtcSet_variabile+0 
	MOVLW       24
	MOVWF       FARG_rtcSet_max+0 
	MOVLW       23
	MOVWF       FARG_rtcSet_max_value+0 
	CLRF        FARG_rtcSet_min+0 
	MOVLW       162
	MOVWF       FARG_rtcSet_address+0 
	MOVLW       4
	MOVWF       FARG_rtcSet_reg+0 
	CALL        _rtcSet+0, 0
;Gsm_Logger.c,181 :: 		Lcd_Out (2, 9, "<----SET");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       9
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr7_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr7_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,182 :: 		Lcd_Out (1, 11, "      ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       11
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr8_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr8_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,183 :: 		break;
	GOTO        L_main9
;Gsm_Logger.c,185 :: 		case 5:
L_main15:
;Gsm_Logger.c,186 :: 		rtcSet (minuti, 60, 59, 0, Write, reg_minuti);
	MOVF        _minuti+0, 0 
	MOVWF       FARG_rtcSet_variabile+0 
	MOVLW       60
	MOVWF       FARG_rtcSet_max+0 
	MOVLW       59
	MOVWF       FARG_rtcSet_max_value+0 
	CLRF        FARG_rtcSet_min+0 
	MOVLW       162
	MOVWF       FARG_rtcSet_address+0 
	MOVLW       3
	MOVWF       FARG_rtcSet_reg+0 
	CALL        _rtcSet+0, 0
;Gsm_Logger.c,187 :: 		Lcd_Out (2, 9, "<----SET");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       9
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr9_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr9_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,188 :: 		break;
	GOTO        L_main9
;Gsm_Logger.c,190 :: 		case 6:
L_main16:
;Gsm_Logger.c,191 :: 		rtcSet (secondi, 60, 59, 0, Write, reg_secondi);
	MOVF        _secondi+0, 0 
	MOVWF       FARG_rtcSet_variabile+0 
	MOVLW       60
	MOVWF       FARG_rtcSet_max+0 
	MOVLW       59
	MOVWF       FARG_rtcSet_max_value+0 
	CLRF        FARG_rtcSet_min+0 
	MOVLW       162
	MOVWF       FARG_rtcSet_address+0 
	MOVLW       2
	MOVWF       FARG_rtcSet_reg+0 
	CALL        _rtcSet+0, 0
;Gsm_Logger.c,192 :: 		Lcd_Out (2, 9, "<----SET");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       9
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr10_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr10_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,193 :: 		break;
	GOTO        L_main9
;Gsm_Logger.c,194 :: 		}
L_main8:
	MOVLW       0
	XORWF       _selection+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main55
	MOVLW       0
	XORWF       _selection+0, 0 
L__main55:
	BTFSC       STATUS+0, 2 
	GOTO        L_main10
	MOVLW       0
	XORWF       _selection+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main56
	MOVLW       1
	XORWF       _selection+0, 0 
L__main56:
	BTFSC       STATUS+0, 2 
	GOTO        L_main11
	MOVLW       0
	XORWF       _selection+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main57
	MOVLW       2
	XORWF       _selection+0, 0 
L__main57:
	BTFSC       STATUS+0, 2 
	GOTO        L_main12
	MOVLW       0
	XORWF       _selection+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main58
	MOVLW       3
	XORWF       _selection+0, 0 
L__main58:
	BTFSC       STATUS+0, 2 
	GOTO        L_main13
	MOVLW       0
	XORWF       _selection+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main59
	MOVLW       4
	XORWF       _selection+0, 0 
L__main59:
	BTFSC       STATUS+0, 2 
	GOTO        L_main14
	MOVLW       0
	XORWF       _selection+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main60
	MOVLW       5
	XORWF       _selection+0, 0 
L__main60:
	BTFSC       STATUS+0, 2 
	GOTO        L_main15
	MOVLW       0
	XORWF       _selection+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main61
	MOVLW       6
	XORWF       _selection+0, 0 
L__main61:
	BTFSC       STATUS+0, 2 
	GOTO        L_main16
L_main9:
;Gsm_Logger.c,195 :: 		}//Fine while
	GOTO        L_main3
;Gsm_Logger.c,196 :: 		}//Fine main
L_end_main:
	GOTO        $+0
; end of _main

_resetWdt:

;Gsm_Logger.c,199 :: 		void resetWdt ()
;Gsm_Logger.c,201 :: 		asm CLRWDT;
	CLRWDT
;Gsm_Logger.c,202 :: 		}
L_end_resetWdt:
	RETURN      0
; end of _resetWdt

_adcResult:

;Gsm_Logger.c,205 :: 		void adcResult ()
;Gsm_Logger.c,207 :: 		adc_value = ADC_Read (0);
	CLRF        FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _adc_value+0 
	MOVF        R1, 0 
	MOVWF       _adc_value+1 
;Gsm_Logger.c,208 :: 		Delay_ms (300);
	MOVLW       19
	MOVWF       R11, 0
	MOVLW       68
	MOVWF       R12, 0
	MOVLW       68
	MOVWF       R13, 0
L_adcResult17:
	DECFSZ      R13, 1, 1
	BRA         L_adcResult17
	DECFSZ      R12, 1, 1
	BRA         L_adcResult17
	DECFSZ      R11, 1, 1
	BRA         L_adcResult17
	NOP
;Gsm_Logger.c,209 :: 		temp = (long) adc_value * 5000;
	MOVF        _adc_value+0, 0 
	MOVWF       R0 
	MOVF        _adc_value+1, 0 
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVLW       136
	MOVWF       R4 
	MOVLW       19
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVF        R1, 0 
	MOVWF       _temp+1 
	MOVF        R2, 0 
	MOVWF       _temp+2 
	MOVF        R3, 0 
	MOVWF       _temp+3 
;Gsm_Logger.c,210 :: 		temp = temp / 1023;
	MOVLW       255
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVF        R1, 0 
	MOVWF       _temp+1 
	MOVF        R2, 0 
	MOVWF       _temp+2 
	MOVF        R3, 0 
	MOVWF       _temp+3 
;Gsm_Logger.c,212 :: 		if (temp < 985) temp = 985;
	MOVLW       128
	XORWF       R3, 0 
	MOVWF       R4 
	MOVLW       128
	SUBWF       R4, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__adcResult64
	MOVLW       0
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__adcResult64
	MOVLW       3
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__adcResult64
	MOVLW       217
	SUBWF       R0, 0 
L__adcResult64:
	BTFSC       STATUS+0, 0 
	GOTO        L_adcResult18
	MOVLW       217
	MOVWF       _temp+0 
	MOVLW       3
	MOVWF       _temp+1 
	MOVLW       0
	MOVWF       _temp+2 
	MOVWF       _temp+3 
	GOTO        L_adcResult19
L_adcResult18:
;Gsm_Logger.c,213 :: 		else if (temp > 5000) temp = 5000;
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       _temp+3, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__adcResult65
	MOVF        _temp+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__adcResult65
	MOVF        _temp+1, 0 
	SUBLW       19
	BTFSS       STATUS+0, 2 
	GOTO        L__adcResult65
	MOVF        _temp+0, 0 
	SUBLW       136
L__adcResult65:
	BTFSC       STATUS+0, 0 
	GOTO        L_adcResult20
	MOVLW       136
	MOVWF       _temp+0 
	MOVLW       19
	MOVWF       _temp+1 
	MOVLW       0
	MOVWF       _temp+2 
	MOVWF       _temp+3 
L_adcResult20:
L_adcResult19:
;Gsm_Logger.c,220 :: 		temp = (temp - 985) * 2.5;  //Conversione in range "livello/metri" da visualizzare
	MOVF        _temp+0, 0 
	MOVWF       R0 
	MOVF        _temp+1, 0 
	MOVWF       R1 
	MOVF        _temp+2, 0 
	MOVWF       R2 
	MOVF        _temp+3, 0 
	MOVWF       R3 
	MOVLW       217
	SUBWF       R0, 1 
	MOVLW       3
	SUBWFB      R1, 1 
	MOVLW       0
	SUBWFB      R2, 1 
	SUBWFB      R3, 1 
	CALL        _Longint2Double+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	CALL        _Double2Longint+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVF        R1, 0 
	MOVWF       _temp+1 
	MOVF        R2, 0 
	MOVWF       _temp+2 
	MOVF        R3, 0 
	MOVWF       _temp+3 
;Gsm_Logger.c,222 :: 		level [0] = temp / 10000 + 48;
	MOVLW       16
	MOVWF       R4 
	MOVLW       39
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _level+0 
;Gsm_Logger.c,223 :: 		level [1] = (temp/1000)%10+48;
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _temp+0, 0 
	MOVWF       R0 
	MOVF        _temp+1, 0 
	MOVWF       R1 
	MOVF        _temp+2, 0 
	MOVWF       R2 
	MOVF        _temp+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _level+1 
;Gsm_Logger.c,224 :: 		level [3] = (temp/100)%10+48;
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _temp+0, 0 
	MOVWF       R0 
	MOVF        _temp+1, 0 
	MOVWF       R1 
	MOVF        _temp+2, 0 
	MOVWF       R2 
	MOVF        _temp+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _level+3 
;Gsm_Logger.c,225 :: 		level [4] = (temp/10)%10+48;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _temp+0, 0 
	MOVWF       R0 
	MOVF        _temp+1, 0 
	MOVWF       R1 
	MOVF        _temp+2, 0 
	MOVWF       R2 
	MOVF        _temp+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _level+4 
;Gsm_Logger.c,227 :: 		Lcd_Out (4, -3, "Level--->");
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       253
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr11_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr11_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,229 :: 		Lcd_Chr (4, 12, 'm');
	MOVLW       4
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       12
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       109
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;Gsm_Logger.c,230 :: 		Lcd_Out (4, 7, level);
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _level+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_level+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,231 :: 		}
L_end_adcResult:
	RETURN      0
; end of _adcResult

_uartGo:

;Gsm_Logger.c,234 :: 		void uartGo ()
;Gsm_Logger.c,236 :: 		if (flag)
	MOVF        _flag+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_uartGo21
;Gsm_Logger.c,238 :: 		while (1)
L_uartGo22:
;Gsm_Logger.c,240 :: 		while (! UART1_Data_Ready()) ; //Attendo dati su seriale
L_uartGo24:
	CALL        _UART1_Data_Ready+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_uartGo25
	GOTO        L_uartGo24
L_uartGo25:
;Gsm_Logger.c,241 :: 		if (UART1_Read() == '"') break;
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	XORLW       34
	BTFSS       STATUS+0, 2 
	GOTO        L_uartGo26
	GOTO        L_uartGo23
L_uartGo26:
;Gsm_Logger.c,242 :: 		}
	GOTO        L_uartGo22
L_uartGo23:
;Gsm_Logger.c,245 :: 		index = 0;
	CLRF        _index+0 
;Gsm_Logger.c,247 :: 		while (1)
L_uartGo27:
;Gsm_Logger.c,249 :: 		while (! UART1_Data_Ready()) ; // Attendo caratteri in ingresso
L_uartGo29:
	CALL        _UART1_Data_Ready+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_uartGo30
	GOTO        L_uartGo29
L_uartGo30:
;Gsm_Logger.c,250 :: 		ch = UART1_Read();
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ch+0 
;Gsm_Logger.c,253 :: 		if (ch == '"') break;
	MOVF        R0, 0 
	XORLW       34
	BTFSS       STATUS+0, 2 
	GOTO        L_uartGo31
	GOTO        L_uartGo28
L_uartGo31:
;Gsm_Logger.c,256 :: 		buffer[index] = ch;
	MOVLW       _buffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer+0)
	MOVWF       FSR1H 
	MOVF        _index+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVF        _ch+0, 0 
	MOVWF       POSTINC1+0 
;Gsm_Logger.c,257 :: 		index ++ ;
	INCF        _index+0, 1 
;Gsm_Logger.c,258 :: 		}
	GOTO        L_uartGo27
L_uartGo28:
;Gsm_Logger.c,259 :: 		buffer[index] = '\0';
	MOVLW       _buffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer+0)
	MOVWF       FSR1H 
	MOVF        _index+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;Gsm_Logger.c,263 :: 		Delay_ms(200);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_uartGo32:
	DECFSZ      R13, 1, 1
	BRA         L_uartGo32
	DECFSZ      R12, 1, 1
	BRA         L_uartGo32
	DECFSZ      R11, 1, 1
	BRA         L_uartGo32
	NOP
	NOP
;Gsm_Logger.c,264 :: 		while (UART1_Data_Ready()) UART1_Read();
L_uartGo33:
	CALL        _UART1_Data_Ready+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_uartGo34
	CALL        _UART1_Read+0, 0
	GOTO        L_uartGo33
L_uartGo34:
;Gsm_Logger.c,267 :: 		if (strcmp (buffer, numero_consentito) == 0)
	MOVLW       _buffer+0
	MOVWF       FARG_strcmp_s1+0 
	MOVLW       hi_addr(_buffer+0)
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       _numero_consentito+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(_numero_consentito+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__uartGo67
	MOVLW       0
	XORWF       R0, 0 
L__uartGo67:
	BTFSS       STATUS+0, 2 
	GOTO        L_uartGo35
;Gsm_Logger.c,270 :: 		sendAtc (atc2);
	MOVLW       _atc2+0
	MOVWF       FARG_sendAtc_s+0 
	MOVLW       hi_addr(_atc2+0)
	MOVWF       FARG_sendAtc_s+1 
	CALL        _sendAtc+0, 0
;Gsm_Logger.c,271 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,272 :: 		sendAtc (atc6);
	MOVLW       _atc6+0
	MOVWF       FARG_sendAtc_s+0 
	MOVLW       hi_addr(_atc6+0)
	MOVWF       FARG_sendAtc_s+1 
	CALL        _sendAtc+0, 0
;Gsm_Logger.c,273 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,274 :: 		UART1_Write_Text ("Livello vasca ");
	MOVLW       ?lstr12_Gsm_Logger+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr12_Gsm_Logger+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Gsm_Logger.c,275 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,276 :: 		UART1_Write_Text (level);
	MOVLW       _level+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_level+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Gsm_Logger.c,277 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,278 :: 		UART1_Write (0x1A);
	MOVLW       26
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Gsm_Logger.c,279 :: 		}
L_uartGo35:
;Gsm_Logger.c,281 :: 		flag = 0; //Resetto il flag
	CLRF        _flag+0 
;Gsm_Logger.c,282 :: 		}
L_uartGo21:
;Gsm_Logger.c,283 :: 		}
L_end_uartGo:
	RETURN      0
; end of _uartGo

_rtcRead:

;Gsm_Logger.c,286 :: 		void rtcRead ()
;Gsm_Logger.c,288 :: 		Soft_I2C_Start();          //Avvio comunicazione I2C
	CALL        _Soft_I2C_Start+0, 0
;Gsm_Logger.c,289 :: 		Soft_I2C_Write (Write);    //Invio l'indirizzo allo slave per Write address A2h
	MOVLW       162
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,290 :: 		Soft_I2C_Write (2);        //Mi posiziono al registro 02h
	MOVLW       2
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,291 :: 		Soft_I2C_Stop();           //Mando una condizione di STOP
	CALL        _Soft_I2C_Stop+0, 0
;Gsm_Logger.c,292 :: 		Soft_I2C_Start();          //seguita da START
	CALL        _Soft_I2C_Start+0, 0
;Gsm_Logger.c,293 :: 		Soft_I2C_Write (Read);     //Invio l'indirizzo allo slave per Read address A3h
	MOVLW       163
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,295 :: 		secondi = Soft_I2C_Read (1);             //Leggo i secondi
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _secondi+0 
;Gsm_Logger.c,296 :: 		minuti = Soft_I2C_Read (1);              //Leggo i minuti
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _minuti+0 
;Gsm_Logger.c,297 :: 		ore = Soft_I2C_Read (1);                 //Leggo le ore
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ore+0 
;Gsm_Logger.c,298 :: 		giorno = Soft_I2C_Read (1);              //Leggo il giorno
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _giorno+0 
;Gsm_Logger.c,299 :: 		giorno_settimana = Soft_I2C_Read (1);    //Leggo il giorno della settimana
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _giorno_settimana+0 
;Gsm_Logger.c,300 :: 		mese = Soft_I2C_Read (1);                //Leggo il mese
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _mese+0 
;Gsm_Logger.c,301 :: 		anno = Soft_I2C_Read (1);                //Leggo l'anno
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _anno+0 
;Gsm_Logger.c,302 :: 		Soft_I2C_Stop();                         //Fermo comunicazione I2C
	CALL        _Soft_I2C_Stop+0, 0
;Gsm_Logger.c,303 :: 		}
L_end_rtcRead:
	RETURN      0
; end of _rtcRead

_rtcConversion:

;Gsm_Logger.c,306 :: 		void rtcConversion ()
;Gsm_Logger.c,308 :: 		secondi = Bcd2Dec (secondi & 0x7F);
	MOVLW       127
	ANDWF       _secondi+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _secondi+0 
;Gsm_Logger.c,309 :: 		minuti = Bcd2Dec (minuti & 0x7F);
	MOVLW       127
	ANDWF       _minuti+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _minuti+0 
;Gsm_Logger.c,310 :: 		ore = Bcd2Dec (ore & 0x3F);
	MOVLW       63
	ANDWF       _ore+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _ore+0 
;Gsm_Logger.c,311 :: 		giorno = Bcd2Dec (giorno & 0x3F);
	MOVLW       63
	ANDWF       _giorno+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _giorno+0 
;Gsm_Logger.c,312 :: 		mese = Bcd2Dec (mese & 0x1F);
	MOVLW       31
	ANDWF       _mese+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _mese+0 
;Gsm_Logger.c,313 :: 		anno = Bcd2Dec (anno & 0xFF);
	MOVLW       255
	ANDWF       _anno+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _anno+0 
;Gsm_Logger.c,314 :: 		giorno_settimana = (giorno_settimana & 0x07);
	MOVLW       7
	ANDWF       _giorno_settimana+0, 1 
;Gsm_Logger.c,315 :: 		secolo = (mese & 0x80);
	MOVLW       128
	ANDWF       _mese+0, 0 
	MOVWF       _secolo+0 
;Gsm_Logger.c,316 :: 		}
L_end_rtcConversion:
	RETURN      0
; end of _rtcConversion

_rtcDisplay:

;Gsm_Logger.c,319 :: 		void rtcDisplay ()
;Gsm_Logger.c,321 :: 		time [0] = (ore/10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _ore+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _time+0 
;Gsm_Logger.c,322 :: 		time [1] = (ore%10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _ore+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _time+1 
;Gsm_Logger.c,323 :: 		time [2] = ':';
	MOVLW       58
	MOVWF       _time+2 
;Gsm_Logger.c,324 :: 		time [3] = (minuti/10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _minuti+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _time+3 
;Gsm_Logger.c,325 :: 		time [4] = (minuti%10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _minuti+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _time+4 
;Gsm_Logger.c,326 :: 		time [5] = ':';
	MOVLW       58
	MOVWF       _time+5 
;Gsm_Logger.c,327 :: 		time [6] = (secondi/10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _secondi+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _time+6 
;Gsm_Logger.c,328 :: 		time [7] = (secondi%10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _secondi+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _time+7 
;Gsm_Logger.c,329 :: 		time [8] = '\0';
	CLRF        _time+8 
;Gsm_Logger.c,330 :: 		Lcd_Out (2, 1, time); //1 12 //1 4
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _time+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_time+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,332 :: 		date [0] = (giorno/10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _giorno+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _date+0 
;Gsm_Logger.c,333 :: 		date [1] = (giorno%10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _giorno+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _date+1 
;Gsm_Logger.c,334 :: 		date [2] = '/';
	MOVLW       47
	MOVWF       _date+2 
;Gsm_Logger.c,335 :: 		date [3] = (mese/10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _mese+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _date+3 
;Gsm_Logger.c,336 :: 		date [4] = (mese%10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _mese+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _date+4 
;Gsm_Logger.c,337 :: 		date [5] = '/';
	MOVLW       47
	MOVWF       _date+5 
;Gsm_Logger.c,338 :: 		date [6] = '2';
	MOVLW       50
	MOVWF       _date+6 
;Gsm_Logger.c,339 :: 		date [7] = (secolo+48);
	MOVLW       48
	ADDWF       _secolo+0, 0 
	MOVWF       _date+7 
;Gsm_Logger.c,340 :: 		date [8] = (anno/10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _anno+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _date+8 
;Gsm_Logger.c,341 :: 		date [9] = (anno%10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _anno+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _date+9 
;Gsm_Logger.c,342 :: 		date [10] = '\0';
	CLRF        _date+10 
;Gsm_Logger.c,343 :: 		Lcd_Out (1, 1, date);   //1 1  //2 4
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _date+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_date+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,344 :: 		}
L_end_rtcDisplay:
	RETURN      0
; end of _rtcDisplay

_writeSdCard:

;Gsm_Logger.c,347 :: 		void writeSdCard()
;Gsm_Logger.c,349 :: 		if (rtcint)
	MOVF        _rtcint+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_writeSdCard36
;Gsm_Logger.c,351 :: 		Mmc_Fat_Assign("DATALOG1.TXT", 0xA0); //Open file
	MOVLW       ?lstr13_Gsm_Logger+0
	MOVWF       FARG_Mmc_Fat_Assign_name+0 
	MOVLW       hi_addr(?lstr13_Gsm_Logger+0)
	MOVWF       FARG_Mmc_Fat_Assign_name+1 
	MOVLW       160
	MOVWF       FARG_Mmc_Fat_Assign_attrib+0 
	CALL        _Mmc_Fat_Assign+0, 0
;Gsm_Logger.c,352 :: 		Mmc_Fat_Append();                     //Append the following data to file...
	CALL        _Mmc_Fat_Append+0, 0
;Gsm_Logger.c,353 :: 		Mmc_Fat_Write (date, 11);   //Scrivo la data nel file .txt
	MOVLW       _date+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(_date+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       11
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gsm_Logger.c,354 :: 		Mmc_Fat_Write (time, 9);    //Scrivo l'ora nel file .txt
	MOVLW       _time+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(_time+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       9
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gsm_Logger.c,355 :: 		Mmc_Fat_Write (level, 7);   //Scrivo il livello nel file .txt
	MOVLW       _level+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(_level+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       7
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gsm_Logger.c,356 :: 		Mmc_Fat_Write(rtrn,2);      //Do "l'invio" per passare a nuova riga nel file .txt
	MOVLW       _rtrn+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(_rtrn+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       2
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gsm_Logger.c,359 :: 		Soft_I2C_Start();
	CALL        _Soft_I2C_Start+0, 0
;Gsm_Logger.c,360 :: 		Soft_I2C_Write (Write);
	MOVLW       162
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,361 :: 		Soft_I2C_Write (0x01);
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,362 :: 		Soft_I2C_Write (0x01);
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,363 :: 		Soft_I2C_Stop();
	CALL        _Soft_I2C_Stop+0, 0
;Gsm_Logger.c,365 :: 		rtcint = 0;     //Resetto il flag
	CLRF        _rtcint+0 
;Gsm_Logger.c,366 :: 		}
L_writeSdCard36:
;Gsm_Logger.c,367 :: 		}
L_end_writeSdCard:
	RETURN      0
; end of _writeSdCard

_sampleLcd:

;Gsm_Logger.c,369 :: 		void sampleLcd()
;Gsm_Logger.c,371 :: 		Lcd_Out (3, -3, "Sample ");
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       253
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr14_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr14_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,372 :: 		bufferLcd [0] = (sampling/10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _sampling+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _bufferLcd+0 
;Gsm_Logger.c,373 :: 		bufferLcd [1] = (sampling%10)+48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _sampling+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _bufferLcd+1 
;Gsm_Logger.c,374 :: 		bufferLcd [2] = '\0';
	CLRF        _bufferLcd+2 
;Gsm_Logger.c,375 :: 		Lcd_Out(3, 4, bufferLcd);
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       4
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _bufferLcd+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_bufferLcd+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,376 :: 		}
L_end_sampleLcd:
	RETURN      0
; end of _sampleLcd

_rtcSet:

;Gsm_Logger.c,379 :: 		char rtcSet (char variabile, char max, char max_value, char min, char address, char reg)
;Gsm_Logger.c,381 :: 		if (! CHANGE)
	BTFSC       PORTC+0, 1 
	GOTO        L_rtcSet37
;Gsm_Logger.c,383 :: 		Delay_ms (KEY_WAIT);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_rtcSet38:
	DECFSZ      R13, 1, 1
	BRA         L_rtcSet38
	DECFSZ      R12, 1, 1
	BRA         L_rtcSet38
	DECFSZ      R11, 1, 1
	BRA         L_rtcSet38
	NOP
	NOP
;Gsm_Logger.c,384 :: 		if (variabile < max)
	MOVF        FARG_rtcSet_max+0, 0 
	SUBWF       FARG_rtcSet_variabile+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_rtcSet39
;Gsm_Logger.c,386 :: 		variabile++;
	INCF        FARG_rtcSet_variabile+0, 1 
;Gsm_Logger.c,387 :: 		if (variabile > max_value) variabile = min;
	MOVF        FARG_rtcSet_variabile+0, 0 
	SUBWF       FARG_rtcSet_max_value+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_rtcSet40
	MOVF        FARG_rtcSet_min+0, 0 
	MOVWF       FARG_rtcSet_variabile+0 
L_rtcSet40:
;Gsm_Logger.c,388 :: 		}
L_rtcSet39:
;Gsm_Logger.c,389 :: 		}
L_rtcSet37:
;Gsm_Logger.c,391 :: 		rtcWrite (address, reg, variabile);
	MOVF        FARG_rtcSet_address+0, 0 
	MOVWF       FARG_rtcWrite_address+0 
	MOVF        FARG_rtcSet_reg+0, 0 
	MOVWF       FARG_rtcWrite_reg+0 
	MOVF        FARG_rtcSet_variabile+0, 0 
	MOVWF       FARG_rtcWrite_variabile+0 
	CALL        _rtcWrite+0, 0
;Gsm_Logger.c,393 :: 		return variabile;
	MOVF        FARG_rtcSet_variabile+0, 0 
	MOVWF       R0 
;Gsm_Logger.c,394 :: 		}
L_end_rtcSet:
	RETURN      0
; end of _rtcSet

_rtcWrite:

;Gsm_Logger.c,397 :: 		void rtcWrite (char address, char reg, char variabile)
;Gsm_Logger.c,399 :: 		Soft_I2C_Start();
	CALL        _Soft_I2C_Start+0, 0
;Gsm_Logger.c,400 :: 		Soft_I2C_Write (address);
	MOVF        FARG_rtcWrite_address+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,401 :: 		Soft_I2C_Write (reg);
	MOVF        FARG_rtcWrite_reg+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,402 :: 		Soft_I2C_Write (Dec2Bcd (variabile));
	MOVF        FARG_rtcWrite_variabile+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,403 :: 		Soft_I2C_Stop();
	CALL        _Soft_I2C_Stop+0, 0
;Gsm_Logger.c,404 :: 		}
L_end_rtcWrite:
	RETURN      0
; end of _rtcWrite

_rtcIntWrite:

;Gsm_Logger.c,407 :: 		void rtcIntWrite ()
;Gsm_Logger.c,409 :: 		Soft_I2C_Start();
	CALL        _Soft_I2C_Start+0, 0
;Gsm_Logger.c,410 :: 		Soft_I2C_Write (Write);
	MOVLW       162
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,411 :: 		Soft_I2C_Write (0x01);    //reg1 0x01
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,412 :: 		Soft_I2C_Write (0x01);    //reg1_value 0x01
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,413 :: 		Soft_I2C_Start();
	CALL        _Soft_I2C_Start+0, 0
;Gsm_Logger.c,414 :: 		Soft_I2C_Write (Write);
	MOVLW       162
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,415 :: 		Soft_I2C_Write (0x0F);    //reg2 0x0F
	MOVLW       15
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,416 :: 		Soft_I2C_Write (0x0F);    //variabile 0x0F
	MOVLW       15
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,417 :: 		Soft_I2C_Start();
	CALL        _Soft_I2C_Start+0, 0
;Gsm_Logger.c,418 :: 		Soft_I2C_Write (Write);
	MOVLW       162
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,419 :: 		Soft_I2C_Write (0x0E);    //reg3 0x0E
	MOVLW       14
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,420 :: 		Soft_I2C_Write (0x83);    //reg3_value 0x083
	MOVLW       131
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;Gsm_Logger.c,421 :: 		Soft_I2C_Stop();
	CALL        _Soft_I2C_Stop+0, 0
;Gsm_Logger.c,422 :: 		}
L_end_rtcIntWrite:
	RETURN      0
; end of _rtcIntWrite

_sendAtc:

;Gsm_Logger.c,425 :: 		void sendAtc(char *s)
;Gsm_Logger.c,427 :: 		while(*s) {
L_sendAtc41:
	MOVFF       FARG_sendAtc_s+0, FSR0
	MOVFF       FARG_sendAtc_s+1, FSR0H
	MOVF        POSTINC0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_sendAtc42
;Gsm_Logger.c,428 :: 		UART1_Write(*s++);  //Invio stringa comando
	MOVFF       FARG_sendAtc_s+0, FSR0
	MOVFF       FARG_sendAtc_s+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
	INFSNZ      FARG_sendAtc_s+0, 1 
	INCF        FARG_sendAtc_s+1, 1 
;Gsm_Logger.c,429 :: 		}
	GOTO        L_sendAtc41
L_sendAtc42:
;Gsm_Logger.c,430 :: 		UART1_Write('\r');     //Invio CR esecuzione comando
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Gsm_Logger.c,431 :: 		}
L_end_sendAtc:
	RETURN      0
; end of _sendAtc

_gsmConfig:

;Gsm_Logger.c,434 :: 		void gsmConfig ()
;Gsm_Logger.c,436 :: 		sendAtc (atc0);
	MOVLW       _atc0+0
	MOVWF       FARG_sendAtc_s+0 
	MOVLW       hi_addr(_atc0+0)
	MOVWF       FARG_sendAtc_s+1 
	CALL        _sendAtc+0, 0
;Gsm_Logger.c,437 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,438 :: 		sendAtc (atc1);
	MOVLW       _atc1+0
	MOVWF       FARG_sendAtc_s+0 
	MOVLW       hi_addr(_atc1+0)
	MOVWF       FARG_sendAtc_s+1 
	CALL        _sendAtc+0, 0
;Gsm_Logger.c,439 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,440 :: 		sendAtc (atc3);
	MOVLW       _atc3+0
	MOVWF       FARG_sendAtc_s+0 
	MOVLW       hi_addr(_atc3+0)
	MOVWF       FARG_sendAtc_s+1 
	CALL        _sendAtc+0, 0
;Gsm_Logger.c,441 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,442 :: 		sendAtc (atc4);
	MOVLW       _atc4+0
	MOVWF       FARG_sendAtc_s+0 
	MOVLW       hi_addr(_atc4+0)
	MOVWF       FARG_sendAtc_s+1 
	CALL        _sendAtc+0, 0
;Gsm_Logger.c,443 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,444 :: 		sendAtc (atc5);
	MOVLW       _atc5+0
	MOVWF       FARG_sendAtc_s+0 
	MOVLW       hi_addr(_atc5+0)
	MOVWF       FARG_sendAtc_s+1 
	CALL        _sendAtc+0, 0
;Gsm_Logger.c,445 :: 		}
L_end_gsmConfig:
	RETURN      0
; end of _gsmConfig

_M_Create_New_File:

;Gsm_Logger.c,448 :: 		void M_Create_New_File()
;Gsm_Logger.c,450 :: 		Mmc_Fat_Assign ("DATALOG1.TXT", 0xA0);
	MOVLW       ?lstr15_Gsm_Logger+0
	MOVWF       FARG_Mmc_Fat_Assign_name+0 
	MOVLW       hi_addr(?lstr15_Gsm_Logger+0)
	MOVWF       FARG_Mmc_Fat_Assign_name+1 
	MOVLW       160
	MOVWF       FARG_Mmc_Fat_Assign_attrib+0 
	CALL        _Mmc_Fat_Assign+0, 0
;Gsm_Logger.c,451 :: 		}
L_end_M_Create_New_File:
	RETURN      0
; end of _M_Create_New_File

_fixedLcd:

;Gsm_Logger.c,454 :: 		void fixedLcd ()
;Gsm_Logger.c,456 :: 		Lcd_Out (1, 1, "..initializing..");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr16_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr16_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,457 :: 		Lcd_Out (2, 1, "Please Wait  15s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr17_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr17_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,458 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,460 :: 		Lcd_Out (2, 14, "14s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr18_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr18_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,461 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,463 :: 		Lcd_Out (2, 14, "13s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr19_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr19_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,464 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,466 :: 		Lcd_Out (2, 14, "12s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr20_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr20_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,467 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,469 :: 		Lcd_Out (2, 14, "11s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr21_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr21_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,470 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,472 :: 		Lcd_Out (2, 14, "10s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr22_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr22_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,473 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,475 :: 		Lcd_Out (2, 14, "09s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr23_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr23_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,476 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,478 :: 		Lcd_Out (2, 1, "08s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr24_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr24_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,479 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,481 :: 		Lcd_Out (2, 14, "07s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr25_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr25_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,482 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,484 :: 		Lcd_Out (2, 14, "06s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr26_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr26_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,485 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,487 :: 		Lcd_Out (2, 14, "05s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr27_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr27_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,488 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,490 :: 		Lcd_Out (2, 14, "04s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr28_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr28_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,491 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,493 :: 		Lcd_Out (2, 14, "03s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr29_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr29_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,494 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,496 :: 		Lcd_Out (2, 14, "02s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr30_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr30_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,497 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,499 :: 		Lcd_Out (2, 14, "01s");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr31_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr31_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,500 :: 		pause ();
	CALL        _pause+0, 0
;Gsm_Logger.c,503 :: 		Lcd_Out (1, 1, ">>>>>>>><<<<<<<<");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr32_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr32_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,504 :: 		Lcd_Out (2, 1, ">    SYSTEM    <");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr33_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr33_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,505 :: 		Lcd_Out (3, -3, ">      ON     <");
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       253
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr34_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr34_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,506 :: 		Lcd_Out (4, -3, ">>>>>>>><<<<<<<<");
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       253
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr35_Gsm_Logger+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr35_Gsm_Logger+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Gsm_Logger.c,507 :: 		wait ();
	CALL        _wait+0, 0
;Gsm_Logger.c,508 :: 		Lcd_Cmd (_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Gsm_Logger.c,509 :: 		}
L_end_fixedLcd:
	RETURN      0
; end of _fixedLcd

_wait:

;Gsm_Logger.c,512 :: 		void wait ()
;Gsm_Logger.c,514 :: 		Delay_ms (2000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_wait43:
	DECFSZ      R13, 1, 1
	BRA         L_wait43
	DECFSZ      R12, 1, 1
	BRA         L_wait43
	DECFSZ      R11, 1, 1
	BRA         L_wait43
	NOP
	NOP
;Gsm_Logger.c,515 :: 		}
L_end_wait:
	RETURN      0
; end of _wait

_pause:

;Gsm_Logger.c,518 :: 		void pause ()
;Gsm_Logger.c,520 :: 		Delay_ms (1000);
	MOVLW       61
	MOVWF       R11, 0
	MOVLW       225
	MOVWF       R12, 0
	MOVLW       63
	MOVWF       R13, 0
L_pause44:
	DECFSZ      R13, 1, 1
	BRA         L_pause44
	DECFSZ      R12, 1, 1
	BRA         L_pause44
	DECFSZ      R11, 1, 1
	BRA         L_pause44
	NOP
	NOP
;Gsm_Logger.c,521 :: 		}
L_end_pause:
	RETURN      0
; end of _pause

_Character_SD:

;Gsm_Logger.c,524 :: 		void Character_SD(char pos_row, char pos_char)
;Gsm_Logger.c,527 :: 		Lcd_Cmd(64);
	MOVLW       64
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Gsm_Logger.c,528 :: 		for (i = 0; i<=7; i++) Lcd_Chr_CP(character1[i]);
	CLRF        Character_SD_i_L0+0 
L_Character_SD45:
	MOVF        Character_SD_i_L0+0, 0 
	SUBLW       7
	BTFSS       STATUS+0, 0 
	GOTO        L_Character_SD46
	MOVLW       _character1+0
	ADDWF       Character_SD_i_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_character1+0)
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      TBLPTRH, 1 
	MOVLW       higher_addr(_character1+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, FARG_Lcd_Chr_CP_out_char+0
	CALL        _Lcd_Chr_CP+0, 0
	INCF        Character_SD_i_L0+0, 1 
	GOTO        L_Character_SD45
L_Character_SD46:
;Gsm_Logger.c,529 :: 		Lcd_Cmd(_LCD_RETURN_HOME);
	MOVLW       2
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Gsm_Logger.c,530 :: 		Lcd_Chr(pos_row, pos_char, 0);
	MOVF        FARG_Character_SD_pos_row+0, 0 
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        FARG_Character_SD_pos_char+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	CLRF        FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;Gsm_Logger.c,531 :: 		}
L_end_Character_SD:
	RETURN      0
; end of _Character_SD

_initSdCard:

;Gsm_Logger.c,534 :: 		void initSdCard()
;Gsm_Logger.c,537 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV64, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	MOVLW       2
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;Gsm_Logger.c,540 :: 		if (Mmc_Fat_Init() == 0)
	CALL        _Mmc_Fat_Init+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_initSdCard48
;Gsm_Logger.c,543 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV4, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	CLRF        FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;Gsm_Logger.c,545 :: 		M_Create_New_File();
	CALL        _M_Create_New_File+0, 0
;Gsm_Logger.c,546 :: 		}
	GOTO        L_initSdCard49
L_initSdCard48:
;Gsm_Logger.c,552 :: 		Character_SD (3, 12);
	MOVLW       3
	MOVWF       FARG_Character_SD_pos_row+0 
	MOVLW       12
	MOVWF       FARG_Character_SD_pos_char+0 
	CALL        _Character_SD+0, 0
;Gsm_Logger.c,553 :: 		}
L_initSdCard49:
;Gsm_Logger.c,554 :: 		}
L_end_initSdCard:
	RETURN      0
; end of _initSdCard

_initSettings:

;Gsm_Logger.c,557 :: 		void initSettings ()
;Gsm_Logger.c,559 :: 		ANSELA = 0b00000001;   //PortA tutti pin digitali - RA0 ingresso analogico ADC
	MOVLW       1
	MOVWF       ANSELA+0 
;Gsm_Logger.c,560 :: 		ANSELB = 0b00000000;   //PortB tutti pin digitali
	CLRF        ANSELB+0 
;Gsm_Logger.c,561 :: 		ANSELC = 0b00000000;   //PortC tutti pin digitali
	CLRF        ANSELC+0 
;Gsm_Logger.c,562 :: 		ANSELD = 0b00000000;   //PortD tutti pin digitali
	CLRF        ANSELD+0 
;Gsm_Logger.c,563 :: 		ANSELE = 0b00000000;   //PortE tutti pin digitali
	CLRF        ANSELE+0 
;Gsm_Logger.c,565 :: 		PORTA = 0;             //PortA tutti ingressi
	CLRF        PORTA+0 
;Gsm_Logger.c,566 :: 		TRISA = 0b11000011;
	MOVLW       195
	MOVWF       TRISA+0 
;Gsm_Logger.c,568 :: 		PORTB = 0;
	CLRF        PORTB+0 
;Gsm_Logger.c,569 :: 		TRISB = 0b11111111;
	MOVLW       255
	MOVWF       TRISB+0 
;Gsm_Logger.c,571 :: 		PORTC = 0;
	CLRF        PORTC+0 
;Gsm_Logger.c,572 :: 		TRISC = 0b10010111;
	MOVLW       151
	MOVWF       TRISC+0 
;Gsm_Logger.c,574 :: 		PORTD = 0;
	CLRF        PORTD+0 
;Gsm_Logger.c,575 :: 		TRISD = 0b11110001;
	MOVLW       241
	MOVWF       TRISD+0 
;Gsm_Logger.c,577 :: 		PORTE = 0;
	CLRF        PORTE+0 
;Gsm_Logger.c,578 :: 		TRISE = 0b00001000;
	MOVLW       8
	MOVWF       TRISE+0 
;Gsm_Logger.c,581 :: 		Lcd_Init();
	CALL        _Lcd_Init+0, 0
;Gsm_Logger.c,582 :: 		Lcd_Cmd (_LCD_CURSOR_OFF);
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Gsm_Logger.c,583 :: 		Lcd_Cmd (_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Gsm_Logger.c,584 :: 		BackLight = 1;
	BSF         PORTE+0, 2 
;Gsm_Logger.c,587 :: 		UART1_Init(9600);
	BSF         BAUDCON+0, 3, 0
	MOVLW       4
	MOVWF       SPBRGH+0 
	MOVLW       225
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;Gsm_Logger.c,588 :: 		Delay_ms (100);
	MOVLW       7
	MOVWF       R11, 0
	MOVLW       23
	MOVWF       R12, 0
	MOVLW       106
	MOVWF       R13, 0
L_initSettings50:
	DECFSZ      R13, 1, 1
	BRA         L_initSettings50
	DECFSZ      R12, 1, 1
	BRA         L_initSettings50
	DECFSZ      R11, 1, 1
	BRA         L_initSettings50
	NOP
;Gsm_Logger.c,591 :: 		ADC_Init ();
	CALL        _ADC_Init+0, 0
;Gsm_Logger.c,594 :: 		Soft_I2C_Init();
	CALL        _Soft_I2C_Init+0, 0
;Gsm_Logger.c,597 :: 		RCON.IPEN = 0;
	BCF         RCON+0, 7 
;Gsm_Logger.c,600 :: 		INTCON.GIE = 1;
	BSF         INTCON+0, 7 
;Gsm_Logger.c,603 :: 		INTCON.RBIE = 1;
	BSF         INTCON+0, 3 
;Gsm_Logger.c,604 :: 		}
L_end_initSettings:
	RETURN      0
; end of _initSettings
